/*
-----------------------------------------------------
   Application Name: "CDRDB"
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
-----------------------------------------------------
        This file is part of "CDRDB".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

        File Notes:
        ------------------
*/

#ifndef DISCDIALOG_H
#define DISCDIALOG_H

#include <QDialog>
#include <QSqlRelationalTableModel>
#include <QDataWidgetMapper>

namespace Ui {
    class DiscDialog;
}

class DiscDialog : public QDialog {
    Q_OBJECT
public:
    DiscDialog(QWidget *parent = 0);
    ~DiscDialog();

    void setSelfCleanup(bool enabled) {mSelfCleanup = enabled;}
    bool selfCleanup() {return mSelfCleanup; }

    void newDisc();
    void showDisc(int discID);

signals:
    void refreshRequested();

protected:
    void changeEvent(QEvent *e);

private slots:
    void acceptAndCommit();
    void rejectAndClose();
    void viewImage();

private:
    Ui::DiscDialog *ui;
    bool mSelfCleanup;
    QSqlRelationalTableModel model;
    QDataWidgetMapper mapper;
    QSqlQueryModel fileModel;
};

#endif // DISCDIALOG_H
