/*
-----------------------------------------------------
   Application Name: "CDRDB"
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
-----------------------------------------------------
        This file is part of "CDRDB".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

        File Notes:
        ------------------
*/

#include "mtmaintenance.h"
#include "ui_mtmaintenance.h"

MTMaintenance::MTMaintenance(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::MTMaintenance)
{
    ui->setupUi(this);
    connect(ui->tbInsert,SIGNAL(clicked()),this,SLOT(insertRow()));
    connect(ui->buttonBox,SIGNAL(accepted()),this,SLOT(acceptAndCommit()));

    model.setTable("MediaType");
    model.select();
    model.setEditStrategy(QSqlTableModel::OnManualSubmit);

    ui->tableView->setModel(&model);
    ui->tableView->setColumnHidden(0,true);
    ui->tableView->resizeColumnsToContents();
}

MTMaintenance::~MTMaintenance()
{
    delete ui;
}

void MTMaintenance::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MTMaintenance::insertRow() {
    model.insertRow(model.rowCount());
}

void MTMaintenance::acceptAndCommit() {
    model.submitAll();
    accept();
}
