/*
-----------------------------------------------------
   Application Name: "CDRDB"
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
-----------------------------------------------------
        This file is part of "CDRDB".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

        File Notes:
        ------------------
*/

#include "util.h"

#include <QFile>
#include <QCoreApplication>
#include <QtDebug>

Util::Util()
{
}

QSettings * Util::getNewQSettings() {
    QSettings * settings;

    QString settingsFile;
    settingsFile = QCoreApplication::applicationName() + ".ini";

    qDebug() << "Checking for configuration file " << settingsFile;

    if (QFile::exists(settingsFile)) {
        // Load settings from there
        qDebug() << "Using ini file.";
        settings = new QSettings(settingsFile, QSettings::IniFormat, 0);
    } else {
        settings = new QSettings();
    }

    qDebug() << "Settings Loaded.";

    return settings;
}
